# vim: set expandtab tabstop=4 shiftwidth=4 foldmethod=marker: # 

Summary:    !exec gaim plugin
Name:       gaim-plugin-bangexec
Epoch:      0
Version:    1.3.0.2
Release:    0
License:    GPL
Group:      Applications/Internet
URL: 	    http://bard.sytes.net/bangexec/
Source0:    http://bard.sytes.net/bangexec/bangexec-%{version}.tar.bz2
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: pkgconfig, libtool, glib2-devel, gaim
Requires: gaim >= 1:1.1.0,  gaim < 1:2.0.0


%description
!exec is a command interpreter plugin for Gaim. If you're nostalgic 
for chat clients like curfloo and gyach while using Gaim, then this 
is the plugin for you!

%prep
%setup -q -n bangexec-%{version}


%build
%{__rm} -rf %{buildroot}
%configure
%{__make} prefix=%{buildroot}%{_prefix} bindir=%{buildroot}%{_bindir} \
     datadir=%{buildroot}%{_datadir} includedir=%{buildroot}%{_includedir} \
     libdir=%{buildroot}%{_libdir} mandir=%{buildroot}%{_mandir} \
     sysconfdir=%{buildroot}%{_sysconfdir} \
     all


%install
%makeinstall

%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{_libdir}/gaim/*


%changelog
* Thu May 12 2005 Levi Bard <tak@bard.sytes.net>
- Added separate length pref for private/public

* Thu Apr 21 2005 Levi Bard <tak@bard.sytes.net>
- Fixed dynamic width issue in prefs

* Wed Apr 20 2005 Levi Bard <tak@bard.sytes.net>
- Added prefs for newline padding

* Tue Feb 15 2005 Chris Weyl <cweyl@alumni.drew.edu>
- first spec build 

